## r-bioc-genefilter 1.50.0

=== DESCRIPTION ===
Package: genefilter
Title: genefilter: methods for filtering genes from high-throughput
        experiments
Version: 1.50.0
Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
Description: Some basic functions for filtering genes
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Suggests: class, hgu95av2.db, tkWidgets, ALL, ROC, DESeq, pasilla,
        BiocStyle, knitr
Imports: AnnotationDbi, annotate, Biobase, graphics, methods, stats,
        survival
License: Artistic-2.0
LazyLoad: yes
LazyData: yes
Collate: AllClasses.R AllGenerics.R all.R dist2.R eSetFilter.R fastT.R
        filter_volcano.R filtered_p.R genefinder.R half.range.mode.R
        kappa_p.R nsFilter.R rejection_plot.R rowROC-accessors.R
        rowSds.R rowpAUCs-methods.R rowttests-methods.R shorth.R zzz.R
biocViews: Microarray
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2015-04-17 02:08:05 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.50.0-1) unstable; urgency=medium

  * Initial release (closes: #794279)

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jul 2015 22:15:11 +0200

=== debian/control ===
Source: r-bioc-genefilter
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-bioc-annotationdbi,
               r-bioc-annotate,
               r-cran-survival
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
Homepage: http://bioconductor.org/packages/release/bioc/html/genefilter.html

Package: r-bioc-genefilter
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         r-bioc-annotationdbi,
         r-bioc-annotate,
         r-cran-survival
Description: methods for filtering genes from microarray experiments
 This BioConductor module provides methods for filtering genes from microarray
 experiments.  It contains some basic functions for filtering genes.

=== debian/watch ===
version=3
opts=downloadurlmangle=s/\.\./packages\/release\/bioc/ \
 http://www.bioconductor.org/packages/release/bioc/html/genefilter.html .*/genefilter_([\d\.]+)\.tar\.gz

## r-bioc-genefilter 1.52.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.50.0
+Version: 1.52.0
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
 Description: Some basic functions for filtering genes
 Maintainer: Bioconductor Package Maintainer
@@ -20,4 +20,4 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2015-04-17 02:08:05 UTC; biocbuild
+Packaged: 2015-10-14 00:34:16 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.52.0-2) unstable; urgency=medium

  * Apply upstream patch to fix conflicting declarations of function gf_distance
    Closes: #812767

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jan 2016 10:55:03 +0100

r-bioc-genefilter (1.52.0-1) unstable; urgency=medium

  * New upstream version
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 20:33:36 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-bioc-annotate,
                r-cran-survival
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/genefilter.html

=== debian/watch ===
version=3
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 http://www.bioconductor.org/packages/release/bioc/html/genefilter.html .*/genefilter_([\d\.]+)\.tar\.gz

## r-bioc-genefilter 1.54.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.52.0
+Version: 1.54.2
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
 Description: Some basic functions for filtering genes
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
 Suggests: class, hgu95av2.db, tkWidgets, ALL, ROC, DESeq, pasilla,
         BiocStyle, knitr
-Imports: AnnotationDbi, annotate, Biobase, graphics, methods, stats,
-        survival
+Imports: S4Vectors (>= 0.9.42), AnnotationDbi, annotate, Biobase,
+        graphics, methods, stats, survival
 License: Artistic-2.0
 LazyLoad: yes
 LazyData: yes
@@ -20,4 +20,4 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2015-10-14 00:34:16 UTC; biocbuild
+Packaged: 2016-05-16 01:27:46 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.54.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 22 May 2016 13:42:10 +0200

r-bioc-genefilter (1.52.1-1) unstable; urgency=medium

  * New upstream version (patch applied upstream)
  * cme fix dpkg-control
  * Add r-cran-class to Suggests and autopkgtest Depends

 -- Andreas Tille <tille@debian.org>  Wed, 27 Apr 2016 20:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-bioc-annotationdbi,
                r-bioc-annotate,
                r-cran-survival
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
 Homepage: http://bioconductor.org/packages/release/bioc/html/genefilter.html
@@ -22,6 +22,7 @@
          r-bioc-annotationdbi,
          r-bioc-annotate,
          r-cran-survival
+Suggests: r-cran-class
 Description: methods for filtering genes from microarray experiments
  This BioConductor module provides methods for filtering genes from microarray
  experiments.  It contains some basic functions for filtering genes.

## r-bioc-genefilter 1.56.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.54.2
+Version: 1.56.0
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
 Description: Some basic functions for filtering genes
 Maintainer: Bioconductor Package Maintainer
@@ -20,4 +20,4 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-05-16 01:27:46 UTC; biocbuild
+Packaged: 2016-10-17 22:09:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.56.0-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Generic BioConductor homepage

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 09:58:43 +0100

=== debian/control ===
Source: r-bioc-genefilter
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-r,
               r-base-dev,
               r-bioc-annotationdbi,
               r-bioc-annotate,
               r-cran-survival
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
Homepage: https://bioconductor.org/packages/genefilter/

Package: r-bioc-genefilter
Architecture: any
Depends: ${R:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: methods for filtering genes from microarray experiments
 This BioConductor module provides methods for filtering genes from microarray
 experiments.  It contains some basic functions for filtering genes.

## r-bioc-genefilter 1.60.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.56.0
+Version: 1.60.0
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
 Description: Some basic functions for filtering genes
 Maintainer: Bioconductor Package Maintainer
@@ -20,4 +20,4 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2016-10-17 22:09:38 UTC; biocbuild
+Packaged: 2017-10-30 22:39:18 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.60.0-1) unstable; urgency=medium

  * New upstream version
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 10 Nov 2017 09:37:54 +0100

r-bioc-genefilter (1.58.1-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 15:30:14 +0200

r-bioc-genefilter (1.58.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Sep 2017 22:53:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev,
                r-bioc-annotationdbi,
                r-bioc-annotate,
                r-cran-survival
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-bioc-genefilter/trunk/
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-bioc-genefilter.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/
 
 Package: r-bioc-genefilter

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?http:$1packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/genefilter.html .*/genefilter_([\d\.]+)\.tar\.gz

## r-bioc-genefilter 1.62.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.60.0
+Version: 1.62.0
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
 Description: Some basic functions for filtering genes
 Maintainer: Bioconductor Package Maintainer
@@ -20,4 +20,4 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2017-10-30 22:39:18 UTC; biocbuild
+Packaged: 2018-04-30 22:45:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.62.0-2build1) cosmic; urgency=medium

  * No-change rebuild against r-api-3.5

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 02 Jun 2018 10:08:31 +0000

r-bioc-genefilter (1.62.0-2) unstable; urgency=medium

  * Fix Maintainer and Vcs-fields

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 08:23:45 +0200

r-bioc-genefilter (1.62.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 04 May 2018 11:00:43 +0200

=== debian/control ===
Source: r-bioc-genefilter
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-bioc-s4vectors,
               r-bioc-annotationdbi,
               r-bioc-annotate,
               r-bioc-biobase,
               r-cran-survival
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
Homepage: https://bioconductor.org/packages/genefilter/

Package: r-bioc-genefilter
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: methods for filtering genes from microarray experiments
 This BioConductor module provides methods for filtering genes from microarray
 experiments.  It contains some basic functions for filtering genes.

## r-bioc-genefilter 1.64.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.62.0
+Version: 1.64.0
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
-Description: Some basic functions for filtering genes
+Description: Some basic functions for filtering genes.
 Maintainer: Bioconductor Package Maintainer
  <maintainer@bioconductor.org>
 Suggests: class, hgu95av2.db, tkWidgets, ALL, ROC, DESeq, pasilla,
-        BiocStyle, knitr
+        RColorBrewer, BiocStyle, knitr
 Imports: S4Vectors (>= 0.9.42), AnnotationDbi, annotate, Biobase,
         graphics, methods, stats, survival
 License: Artistic-2.0
@@ -19,5 +19,10 @@
         rowSds.R rowpAUCs-methods.R rowttests-methods.R shorth.R zzz.R
 biocViews: Microarray
 VignetteBuilder: knitr
+git_url: https://git.bioconductor.org/packages/genefilter
+git_branch: RELEASE_3_8
+git_last_commit: 82e91b7
+git_last_commit_date: 2018-10-30
+Date/Publication: 2018-10-30
 NeedsCompilation: yes
-Packaged: 2018-04-30 22:45:38 UTC; biocbuild
+Packaged: 2018-10-30 22:48:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Sat, 10 Nov 2018 21:40:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-bioc-annotate,
                r-bioc-biobase,
                r-cran-survival
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-class
Restrictions: allow-stderr

## r-bioc-genefilter 1.66.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.64.0
+Version: 1.66.0
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
 Description: Some basic functions for filtering genes.
 Maintainer: Bioconductor Package Maintainer
@@ -20,9 +20,9 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/genefilter
-git_branch: RELEASE_3_8
-git_last_commit: 82e91b7
-git_last_commit_date: 2018-10-30
-Date/Publication: 2018-10-30
+git_branch: RELEASE_3_9
+git_last_commit: 1c4c471
+git_last_commit_date: 2019-05-02
+Date/Publication: 2019-05-02
 NeedsCompilation: yes
-Packaged: 2018-10-30 22:48:40 UTC; biocbuild
+Packaged: 2019-05-02 23:37:11 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.66.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 09:59:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-bioc-s4vectors,
@@ -11,7 +11,7 @@
                r-bioc-annotate,
                r-bioc-biobase,
                r-cran-survival
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/

## r-bioc-genefilter 1.68.0

=== DESCRIPTION ===
Package: genefilter
Title: genefilter: methods for filtering genes from high-throughput
        experiments
Version: 1.68.0
Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
Description: Some basic functions for filtering genes.
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Suggests: class, hgu95av2.db, tkWidgets, ALL, ROC, DESeq, pasilla,
        RColorBrewer, BiocStyle, knitr
Imports: BiocGenerics (>= 0.31.2), AnnotationDbi, annotate, Biobase,
        graphics, methods, stats, survival
License: Artistic-2.0
LazyLoad: yes
LazyData: yes
Collate: AllClasses.R AllGenerics.R all.R dist2.R eSetFilter.R fastT.R
        filter_volcano.R filtered_p.R genefinder.R half.range.mode.R
        kappa_p.R nsFilter.R rejection_plot.R rowROC-accessors.R
        rowSds.R rowpAUCs-methods.R rowttests-methods.R shorth.R zzz.R
biocViews: Microarray
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/genefilter
git_branch: RELEASE_3_10
git_last_commit: cba90ff
git_last_commit_date: 2019-10-29
Date/Publication: 2019-10-29
NeedsCompilation: yes
Packaged: 2019-10-29 23:35:03 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.68.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:33 +0100

r-bioc-genefilter (1.68.0-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * debian/copyright: Use spaces rather than tabs in continuation lines.
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Mon, 11 Nov 2019 09:08:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-bioc-s4vectors,
+               r-bioc-biocgenerics (>= 0.31.2),
                r-bioc-annotationdbi,
                r-bioc-annotate,
                r-bioc-biobase,
                r-cran-survival
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/

## r-bioc-genefilter 1.70.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.68.0
+Version: 1.70.0
 Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
 Description: Some basic functions for filtering genes.
 Maintainer: Bioconductor Package Maintainer
@@ -20,9 +20,9 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/genefilter
-git_branch: RELEASE_3_10
-git_last_commit: cba90ff
-git_last_commit_date: 2019-10-29
-Date/Publication: 2019-10-29
+git_branch: RELEASE_3_11
+git_last_commit: a071480
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2019-10-29 23:35:03 UTC; biocbuild
+Packaged: 2020-04-27 23:43:36 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.70.0-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:07:36 +0000

r-bioc-genefilter (1.70.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 20 May 2020 10:03:30 +0200

r-bioc-genefilter (1.68.0-2) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * Use knitr to weave
  * Add "Rules-Requires-Root:no"
  * Bump standards version to 4.5.0

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 03 Mar 2020 10:47:32 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: r-bioc-genefilter
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
@@ -11,10 +13,11 @@
                r-bioc-annotate,
                r-bioc-biobase,
                r-cran-survival
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/
+Rules-Requires-Root: no
 
 Package: r-bioc-genefilter
 Architecture: any

## r-bioc-genefilter 1.72.1

=== DESCRIPTION ===
Package: genefilter
Title: genefilter: methods for filtering genes from high-throughput
        experiments
Version: 1.72.1
Author: R. Gentleman, V. Carey, W. Huber, F. Hahne
Description: Some basic functions for filtering genes.
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Suggests: class, hgu95av2.db, tkWidgets, ALL, ROC, RColorBrewer,
        BiocStyle, knitr
Imports: BiocGenerics (>= 0.31.2), AnnotationDbi, annotate, Biobase,
        graphics, methods, stats, survival
License: Artistic-2.0
LazyLoad: yes
LazyData: yes
Collate: AllClasses.R AllGenerics.R all.R dist2.R eSetFilter.R fastT.R
        filter_volcano.R filtered_p.R genefinder.R half.range.mode.R
        kappa_p.R nsFilter.R rejection_plot.R rowROC-accessors.R
        rowSds.R rowpAUCs-methods.R rowttests-methods.R shorth.R zzz.R
biocViews: Microarray
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/genefilter
git_branch: RELEASE_3_12
git_last_commit: b01b00a
git_last_commit_date: 2021-01-21
Date/Publication: 2021-01-21
NeedsCompilation: yes
Packaged: 2021-01-22 00:26:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.72.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jan 2021 08:04:03 +0100

r-bioc-genefilter (1.72.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 13:38:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-bioc-genefilter
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-biocgenerics (>= 0.31.2),
@@ -13,7 +12,7 @@
                r-bioc-annotate,
                r-bioc-biobase,
                r-cran-survival
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
 https://www.bioconductor.org/packages/release/bioc/html/genefilter.html .*/genefilter_([\d\.]+)\.tar\.gz

## r-bioc-genefilter 1.76.0

=== DESCRIPTION ===
Package: genefilter
Title: genefilter: methods for filtering genes from high-throughput
        experiments
Version: 1.76.0
Author: Robert Gentleman, Vincent J. Carey, Wolfgang Huber, Florian Hahne
Description: Some basic functions for filtering genes.
Maintainer: Bioconductor Package Maintainer
 <maintainer@bioconductor.org>
Suggests: class, hgu95av2.db, tkWidgets, ALL, ROC, RColorBrewer,
        BiocStyle, knitr
Imports: BiocGenerics, AnnotationDbi, annotate, Biobase, graphics,
        methods, stats, survival, grDevices
License: Artistic-2.0
LazyLoad: yes
LazyData: yes
Collate: AllClasses.R AllGenerics.R all.R dist2.R eSetFilter.R fastT.R
        filter_volcano.R filtered_p.R genefinder.R half.range.mode.R
        kappa_p.R nsFilter.R rejection_plot.R rowROC-accessors.R
        rowSds.R rowpAUCs-methods.R rowttests-methods.R shorth.R zzz.R
biocViews: Microarray
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/genefilter
git_branch: RELEASE_3_14
git_last_commit: 8d630fd
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:29:40 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.76.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 21:41:53 +0100

r-bioc-genefilter (1.74.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Sep 2021 14:33:02 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics (>= 0.31.2),
+               r-bioc-biocgenerics,
                r-bioc-annotationdbi,
                r-bioc-annotate,
                r-bioc-biobase,
                r-cran-survival
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-class, r-cran-knitr
Restrictions: allow-stderr

## r-bioc-genefilter 1.78.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.76.0
+Version: 1.78.0
 Author: Robert Gentleman, Vincent J. Carey, Wolfgang Huber, Florian Hahne
 Description: Some basic functions for filtering genes.
 Maintainer: Bioconductor Package Maintainer
@@ -20,9 +20,9 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/genefilter
-git_branch: RELEASE_3_14
-git_last_commit: 8d630fd
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 2f57438
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:29:40 UTC; biocbuild
+Packaged: 2022-04-26 20:42:28 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.78.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #1009410
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 May 2022 13:42:20 +0200

r-bioc-genefilter (1.74.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 18 Oct 2021 20:38:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-bioc-genefilter
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
+Homepage: https://bioconductor.org/packages/genefilter/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -12,11 +16,7 @@
                r-bioc-annotate,
                r-bioc-biobase,
                r-cran-survival
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
-Homepage: https://bioconductor.org/packages/genefilter/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-genefilter
 Architecture: any

## r-bioc-genefilter 1.80.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.78.0
+Version: 1.80.3
 Author: Robert Gentleman, Vincent J. Carey, Wolfgang Huber, Florian Hahne
 Description: Some basic functions for filtering genes.
 Maintainer: Bioconductor Package Maintainer
@@ -20,9 +20,9 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/genefilter
-git_branch: RELEASE_3_15
-git_last_commit: 2f57438
-git_last_commit_date: 2022-04-26
-Date/Publication: 2022-04-26
+git_branch: RELEASE_3_16
+git_last_commit: 2138dca
+git_last_commit_date: 2023-01-19
+Date/Publication: 2023-01-19
 NeedsCompilation: yes
-Packaged: 2022-04-26 20:42:28 UTC; biocbuild
+Packaged: 2023-01-19 21:37:38 UTC; biocbuild

=== debian/changelog ===
r-bioc-genefilter (1.80.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 14:55:05 +0100

r-bioc-genefilter (1.80.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 16:45:59 +0100

r-bioc-genefilter (1.80.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2022 13:38:10 +0100

r-bioc-genefilter (1.80.0-1) unstable; urgency=medium

  * New upstream version
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 18:18:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
 Homepage: https://bioconductor.org/packages/genefilter/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-genefilter 1.82.1

=== DESCRIPTION ===
Package: genefilter
Title: genefilter: methods for filtering genes from high-throughput
        experiments
Version: 1.82.1
Authors@R: c(
        person("Robert", "Gentleman", role = "aut"),
        person("Vincent J.", "Carey", role = "aut"),
        person("Wolfgang", "Huber", role = "aut"),
        person("Florian", "Hahne", role = "aut"),
        person("Emmanuel", "Taiwo", role = "ctb",
                comment = "'howtogenefinder' vignette translation from Sweave to RMarkdown / HTML."),
        person("Khadijah", "Amusat", role = "ctb",
                comment = "Converted genefilter vignette from Sweave to RMarkdown / HTML."),
        person("Bioconductor Package Maintainer", role = "cre",
                email = "maintainer@bioconductor.org"))
Description: Some basic functions for filtering genes.
Suggests: class, hgu95av2.db, tkWidgets, ALL, ROC, RColorBrewer,
        BiocStyle, knitr
Imports: MatrixGenerics (>= 1.11.1), AnnotationDbi, annotate, Biobase,
        graphics, methods, stats, survival, grDevices
License: Artistic-2.0
LazyLoad: yes
LazyData: yes
Collate: AllClasses.R AllGenerics.R all.R dist2.R eSetFilter.R fastT.R
        filter_volcano.R filtered_p.R genefinder.R half.range.mode.R
        kappa_p.R nsFilter.R rejection_plot.R rowROC-accessors.R
        rowSds.R rowpAUCs-methods.R rowttests-methods.R shorth.R zzz.R
biocViews: Microarray
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/genefilter
git_branch: RELEASE_3_17
git_last_commit: f4dadae
git_last_commit_date: 2023-05-01
Date/Publication: 2023-05-02
NeedsCompilation: yes
Packaged: 2023-05-02 20:47:30 UTC; biocbuild
Author: Robert Gentleman [aut],
  Vincent J. Carey [aut],
  Wolfgang Huber [aut],
  Florian Hahne [aut],
  Emmanuel Taiwo [ctb] ('howtogenefinder' vignette translation from
    Sweave to RMarkdown / HTML.),
  Khadijah Amusat [ctb] (Converted genefilter vignette from Sweave to
    RMarkdown / HTML.),
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-genefilter (1.82.1-1) unstable; urgency=medium

  * New upstream version
  * Rename d/t/run-unit-test to d/t/vignette
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jul 2023 07:03:12 +0200

=== debian/tests/control ===
Tests: vignette
Depends: @, r-cran-class, r-cran-knitr
Restrictions: allow-stderr

## r-bioc-genefilter 1.84.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.82.1
+Version: 1.84.0
 Authors@R: c(
         person("Robert", "Gentleman", role = "aut"),
         person("Vincent J.", "Carey", role = "aut"),
@@ -28,12 +28,12 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/genefilter
-git_branch: RELEASE_3_17
-git_last_commit: f4dadae
-git_last_commit_date: 2023-05-01
-Date/Publication: 2023-05-02
+git_branch: RELEASE_3_18
+git_last_commit: 94eca03
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes
-Packaged: 2023-05-02 20:47:30 UTC; biocbuild
+Packaged: 2023-10-24 21:18:21 UTC; biocbuild
 Author: Robert Gentleman [aut],
   Vincent J. Carey [aut],
   Wolfgang Huber [aut],

=== debian/changelog ===
r-bioc-genefilter (1.84.0-1) unstable; urgency=medium

  * New upstream version
  * Drop vignette based test
  * Add d/t/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 17:52:55 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-biocgenerics,
+               r-bioc-matrixgenerics (>= 1.11.1),
                r-bioc-annotationdbi,
                r-bioc-annotate,
                r-bioc-biobase,

## r-bioc-genefilter 1.86.0

=== debian/changelog ===
r-bioc-genefilter (1.86.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:35:37 +0200

r-bioc-genefilter (1.86.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Jul 2024 18:26:57 +0200

r-bioc-genefilter (1.86.0-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version. Closes: #1071341
  * Set upstream metadata fields: Archive.
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:45:30 +0200

=== debian/control ===
--- 
+++ 
@@ -11,20 +11,27 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-matrixgenerics (>= 1.11.1),
-               r-bioc-annotationdbi,
-               r-bioc-annotate,
-               r-bioc-biobase,
-               r-cran-survival
+               r-bioc-matrixgenerics (>= 1.16.0),
+               r-bioc-annotationdbi (>= 1.66.0),
+               r-bioc-annotate (>= 1.82.0),
+               r-bioc-biobase (>= 2.64.0),
+               r-cran-survival,
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-genefilter
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-matrixgenerics (>= 1.16.0),
+         r-bioc-annotationdbi (>= 1.66.0),
+         r-bioc-annotate (>= 1.82.0),
+         r-bioc-biobase (>= 2.64.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-all (>= 1.46.0),
+          r-bioc-biocstyle (>= 2.32.1)
 Description: methods for filtering genes from microarray experiments
  This BioConductor module provides methods for filtering genes from microarray
  experiments.  It contains some basic functions for filtering genes.

## r-bioc-genefilter 1.88.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: genefilter
 Title: genefilter: methods for filtering genes from high-throughput
         experiments
-Version: 1.84.0
+Version: 1.88.0
 Authors@R: c(
         person("Robert", "Gentleman", role = "aut"),
         person("Vincent J.", "Carey", role = "aut"),
@@ -28,12 +28,13 @@
 biocViews: Microarray
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/genefilter
-git_branch: RELEASE_3_18
-git_last_commit: 94eca03
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_20
+git_last_commit: f0d698a
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2023-10-24 21:18:21 UTC; biocbuild
+Packaged: 2024-10-30 00:48:02 UTC; biocbuild
 Author: Robert Gentleman [aut],
   Vincent J. Carey [aut],
   Wolfgang Huber [aut],

=== debian/changelog ===
r-bioc-genefilter (1.88.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 14:44:43 +0100

r-bioc-genefilter (1.88.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * d/clean: deal with an interupted compile
  * d/patches/type_fixes: a printf flag was the wrong size

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:49:01 +0100

=== debian/control ===
Source: r-bioc-genefilter
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-genefilter.git
Homepage: https://bioconductor.org/packages/genefilter/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-matrixgenerics (>= 1.11.1),
               r-bioc-annotationdbi,
               r-bioc-annotate,
               r-bioc-biobase,
               r-cran-survival,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-genefilter
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: methods for filtering genes from microarray experiments
 This BioConductor module provides methods for filtering genes from microarray
 experiments.  It contains some basic functions for filtering genes.
